%define module	singledispatch

Name:		python-%{module}
Version:	3.4.0.3
Release:	%mkrel 13
Summary:	This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3
Group:		Development/Python
License:	MIT
URL:		http://docs.python.org/3/library/functools.html#functools.singledispatch
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch


%description
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality to Python 2.6 - 3.3.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3
Group:          Development/Python
BuildArch:      noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(six)
%{?python_provide:%python_provide python3-%{module}}


%description -n python3-%{module}
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality to Python 2.6 - 3.3.

This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------
%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

# remove /usr/bin/env python from scripts
sed -i '1d' singledispatch.py
sed -i '1d' singledispatch_helpers.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} %py_setup test

%files -n python3-%{module}
%doc README.rst
%{python3_sitelib}/%{module}.py*
%{python3_sitelib}/%{module}_helpers.py*
%{python3_sitelib}/__pycache__/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 3.4.0.3-13.mga8
+ Revision: 1608308
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.4.0.3-12.mga8
+ Revision: 1532108
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 3.4.0.3-11.mga8
+ Revision: 1441575
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 3.4.0.3-10.mga7
+ Revision: 1354377
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.4.0.3-9.mga7
+ Revision: 1290028
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.4.0.3-8.mga7
+ Revision: 1135639
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 3.4.0.3-7.mga6
+ Revision: 1007178
- fix python macros

* Fri Feb 19 2016 umeabot <umeabot> 3.4.0.3-6.mga6
+ Revision: 970496
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 3.4.0.3-5.mga6
+ Revision: 887046
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0.3-4.mga5
+ Revision: 744969
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0.3-3.mga5
+ Revision: 729765
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 daviddavid <daviddavid> 3.4.0.3-1.mga5
+ Revision: 656370
- imported package python-singledispatch

